Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util.hashtable
Class Int2ObjectHashMap

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.Int2ObjectHashMap

Direct Known Subclasses:
  DocumentSet

public class Int2ObjectHashMap
extends AbstractHashtable

A hashtable which maps int keys to object values.

Author:
  Stephan Körnig, Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`Int2ObjectHashMap()`
`Int2ObjectHashMap(int iSize)`
`Int2ObjectHashMap(int iSize, double growth)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(int key)`
`java.lang.Object` | `get(int key)`
`java.util.Iterator` | `iterator()`
`void` | `put(int key, java.lang.Object value)` Puts a new key/value pair into the hashtable.
`java.lang.Object` | `remove(int key)`
`java.util.Iterator` | `valueIterator()`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Int2ObjectHashMap

    public Int2ObjectHashMap()

### Int2ObjectHashMap

    public Int2ObjectHashMap(int iSize)

### Int2ObjectHashMap

    public Int2ObjectHashMap(int iSize,
                             double growth)

Method Detail

### clear

    public void clear()

### put

    public void put(int key,
                    java.lang.Object value)

  Puts a new key/value pair into the hashtable. If the key does already exist, just the value is updated.

  Parameters:
    `key` -
    `value` -

### get

    public java.lang.Object get(int key)

### containsKey

    public boolean containsKey(int key)

### remove

    public java.lang.Object remove(int key)

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `AbstractHashtable`

### valueIterator

    public java.util.Iterator valueIterator()

  Specified by:
    `valueIterator` in class `AbstractHashtable`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.